Subject: Last Call: <draft-ietf-6man-rfc6434-bis-08.txt> (IPv6 Node Requirements) to Best Current Practice

From: The IESG <[email-masked]>
Date: Mon, 11 Jun 2018 09:19:53 -0700

The IESG has received a request from the IPv6 Maintenance WG (6man) to
consider the following document: - 'IPv6 Node Requirements'
  <draft-ietf-6man-rfc6434-bis-08.txt> as Best Current Practice

The IESG plans to make a decision in the next few weeks, and solicits final
comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2018-06-25. Exceptionally, comments may be
sent to [email-masked] instead. In either case, please retain the beginning of
the Subject line to allow automated sorting.

Abstract

   This document defines requirements for IPv6 nodes.  It is expected
   that IPv6 will be deployed in a wide range of devices and situations.
   Specifying the requirements for IPv6 nodes allows IPv6 to function
   well and interoperate in a large number of situations and
   deployments.

   This document obsoletes RFC 6434, and in turn RFC 4294.

The file can be obtained via
https://datatracker.ietf.org/doc/draft-ietf-6man-rfc6434-bis/

IESG discussion can be tracked via
https://datatracker.ietf.org/doc/draft-ietf-6man-rfc6434-bis/ballot/

No IPR declarations have been submitted directly on this I-D.

The document contains these normative downward references.
See RFC 3967 for additional information: 
    rfc6106: IPv6 Router Advertisement Options for DNS Configuration (Proposed Standard - IETF stream)
    rfc6775: Neighbor Discovery Optimization for IPv6 over Low-Power Wireless Personal Area Networks (6LoWPANs) (Proposed Standard - IETF stream)
    rfc7112: Implications of Oversized IPv6 Header Chains (Proposed Standard - IETF stream)
    rfc4301: Security Architecture for the Internet Protocol (Proposed Standard - IETF stream)
    rfc7048: Neighbor Unreachability Detection Is Too Impatient (Proposed Standard - IETF stream)
    rfc4303: IP Encapsulating Security Payload (ESP) (Proposed Standard - IETF stream)
    rfc7045: Transmission and Processing of IPv6 Extension Headers (Proposed Standard - IETF stream)
    rfc3736: Stateless Dynamic Host Configuration Protocol (DHCP) Service for IPv6 (Proposed Standard - IETF stream)
    rfc6762: Multicast DNS (Proposed Standard - IETF stream)
    rfc5942: IPv6 Subnet Model: The Relationship between Links and Subnet Prefixes (Proposed Standard - IETF stream)
    rfc8221: Cryptographic Algorithm Implementation Requirements and Usage Guidance for Encapsulating Security Payload (ESP) and Authentication Header (AH) (Proposed Standard - IETF stream)
    rfc6564: A Uniform Format for IPv6 Extension Headers (Proposed Standard - IETF stream)
    rfc8106: IPv6 Router Advertisement Options for DNS Configuration (Proposed Standard - IETF stream)
    rfc8028: First-Hop Router Selection by Hosts in a Multi-Prefix Network (Proposed Standard - IETF stream)
    rfc5790: Lightweight Internet Group Management Protocol Version 3 (IGMPv3) and Multicast Listener Discovery Version 2 (MLDv2) Protocols (Proposed Standard - IETF stream)
    rfc8021: Generation of IPv6 Atomic Fragments Considered Harmful (Informational - IETF stream)
    rfc5095: Deprecation of Type 0 Routing Headers in IPv6 (Proposed Standard - IETF stream)
    rfc6241: Network Configuration Protocol (NETCONF) (Proposed Standard - IETF stream)
    rfc4941: Privacy Extensions for Stateless Address Autoconfiguration in IPv6 (Draft Standard - IETF stream)
    rfc4861: Neighbor Discovery for IP version 6 (IPv6) (Draft Standard - IETF stream)
    rfc4862: IPv6 Stateless Address Autoconfiguration (Draft Standard - IETF stream)
    rfc4213: Basic Transition Mechanisms for IPv6 Hosts and Routers (Proposed Standard - IETF stream)
    rfc8247: Algorithm Implementation Requirements and Usage Guidance for the Internet Key Exchange Protocol Version 2 (IKEv2) (Proposed Standard - IETF stream)
    rfc4607: Source-Specific Multicast for IP (Proposed Standard - IETF stream)
    rfc3168: The Addition of Explicit Congestion Notification (ECN) to IP (Proposed Standard - IETF stream)
    rfc5175: IPv6 Router Advertisement Flags Option (Proposed Standard - IETF stream)
    rfc6946: Processing of IPv6 "Atomic" Fragments (Proposed Standard - IETF stream)
    rfc6437: IPv6 Flow Label Specification (Proposed Standard - IETF stream)
    rfc6434: IPv6 Node Requirements (Informational - IETF stream)
    rfc8311: Relaxing Restrictions on Explicit Congestion Notification (ECN) Experimentation (Proposed Standard - IETF stream)
    rfc7559: Packet-Loss Resiliency for Router Solicitations (Proposed Standard - IETF stream)
    rfc4293: Management Information Base for the Internet Protocol (IP) (Proposed Standard - IETF stream)
    rfc4294: IPv6 Node Requirements (Informational - IETF stream)
    rfc5722: Handling of Overlapping IPv6 Fragments (Proposed Standard - IETF stream)
    rfc4292: IP Forwarding Table MIB (Proposed Standard - IETF stream)
    rfc4035: Protocol Modifications for the DNS Security Extensions (Proposed Standard - IETF stream)
    rfc6724: Default Address Selection for Internet Protocol Version 6 (IPv6) (Proposed Standard - IETF stream)
    rfc8343: A YANG Data Model for Interface Management (Proposed Standard - IETF stream)
    rfc8064: Recommendation on Stable IPv6 Interface Identifiers (Proposed Standard - IETF stream)
    rfc7527: Enhanced Duplicate Address Detection (Proposed Standard - IETF stream)
    rfc5453: Reserved IPv6 Interface Identifiers (Proposed Standard - IETF stream)
    rfc2675: IPv6 Jumbograms (Proposed Standard - IETF stream)
    rfc4033: DNS Security Introduction and Requirements (Proposed Standard - IETF stream)
    rfc7739: Security Implications of Predictable Fragment Identification Values (Informational - IETF stream)
    rfc4034: Resource Records for the DNS Security Extensions (Proposed Standard - IETF stream)
    rfc3315: Dynamic Host Configuration Protocol for IPv6 (DHCPv6) (Proposed Standard - IETF stream)
    rfc6763: DNS-Based Service Discovery (Proposed Standard - IETF stream)
    rfc3810: Multicast Listener Discovery Version 2 (MLDv2) for IPv6 (Proposed Standard - IETF stream)
    rfc7217: A Method for Generating Semantically Opaque Interface Identifiers with IPv6 Stateless Address Autoconfiguration (SLAAC) (Proposed Standard - IETF stream)
    rfc4311: IPv6 Host-to-Router Load Sharing (Proposed Standard - IETF stream)
    rfc8344: A YANG Data Model for IP Management (Proposed Standard - IETF stream)
    rfc8040: RESTCONF Protocol (Proposed Standard - IETF stream)
    rfc2863: The Interfaces Group MIB (Draft Standard - IETF stream)
    rfc2711: IPv6 Router Alert Option (Proposed Standard - IETF stream)
    rfc2710: Multicast Listener Discovery (MLD) for IPv6 (Proposed Standard - IETF stream)